Bug 434976 - gnome-session crashes upon gdm login
gnome-session crashes upon gdm login
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-02-26 12:26 EST by Rob Riggs
Modified: 2008-03-11 11:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-11 11:30:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rob Riggs 2008-02-26 12:26:22 EST
Description of problem:
gnome-session crashes upon GDM login.

I get this in the .xsession-errors:

The program 'gnome-session' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadWindow (invalid Window parameter)'.
  (Details: serial 21 error_code 3 request_code 2 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)

Version-Release number of selected component (if applicable):

How reproducible:
Always, except once this morning after replacing liboil and going to runlevel 3,
then back to 5.

Steps to Reproduce:
1. Start up in runlevel 5
2. Log in to a Gnome session via GDM
Actual results:
Session begins to start then quickly returns to the GDM login menu.

Expected results:
Session starts and I get a Gnome desktop.

Additional info:
Ran a yum update this morning to get everything up to speed.  I thought this was
related to 434772.  I installed the latest liboil from koji.  Went to runlevel
3, then back to runlevel 5.

It seemed to work and allowed me to log in once.  Desktop wasn't happy because
of the known XFS issues (had to restart xfs) before having the same problem
again.  I logged out, restarted xfs, restarted X (by switching runlevels) and
tried to log in.

Comment 1 Matthias Clasen 2008-02-27 01:44:48 EST
This is an issue with the new selinux support in X, most likely.
Comment 2 Rob Riggs 2008-02-27 10:50:37 EST
Looks like that's the issue.  Disabling SELinux allows my X session to start up.

I still have to remember to restart xfs before logging in via gdm or metacity
won't start.

And I'm still getting tons of warnings and errors in my .xsession-errors file. 
 Nautilus won't start (BadName error).  I'll file a bug on this if it doesn't
already exist.
Comment 3 Joachim Frieben 2008-03-07 01:42:45 EST
If it was SELinux, it shouldn't crash in "permissive mode", should it?
But that's exactly what happens to me.
Comment 4 Joachim Frieben 2008-03-08 11:38:07 EST
Fixed for me in "rawhide" as of 2008-03-08.

Note You need to log in before you can comment on or make changes to this bug.